summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDan Radez <dradez@redhat.com>2015-12-16 01:22:52 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2015-12-16 01:22:52 +0000
commit0c5a1682f7f16ee6fcf7c810b134f5c656bd1ee6 (patch)
tree824ac26849344c7ee6228b0d57de9da8968fba77
parentcefc023878371c46ec2cd3e0176c3f25c28c1906 (diff)
parent616fba032830d0b00bfc73ecffb13dffe2794a17 (diff)
Merge "Fixes various corner cases with clean and deploy"
-rwxr-xr-xci/clean.sh4
-rwxr-xr-xci/deploy.sh13
2 files changed, 12 insertions, 5 deletions
diff --git a/ci/clean.sh b/ci/clean.sh
index b8be179d..2b488804 100755
--- a/ci/clean.sh
+++ b/ci/clean.sh
@@ -8,14 +8,14 @@ vm_index=4
# Clean off instack VM
virsh destroy instack 2> /dev/null || echo -n ''
virsh undefine instack --remove-all-storage 2> /dev/null || echo -n ''
-virsh vol-delete instack.qcow2 default 2> /dev/null
+virsh vol-delete instack.qcow2 --pool default 2> /dev/null
rm -f /var/lib/libvirt/images/instack.qcow2 2> /dev/null
# Clean off baremetal VMs in case they exist
for i in $(seq 0 $vm_index); do
virsh destroy baremetalbrbm_brbm1_$i 2> /dev/null || echo -n ''
virsh undefine baremetalbrbm_brbm1_$i --remove-all-storage 2> /dev/null || echo -n ''
- virsh vol-delete baremetalbrbm_brbm1_${i}.qcow2 default 2> /dev/null
+ virsh vol-delete baremetalbrbm_brbm1_${i}.qcow2 --pool default 2> /dev/null
rm -f /var/lib/libvirt/images/baremetalbrbm_brbm1_${i}.qcow2 2> /dev/null
done
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 88a6a9b1..24187f16 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -335,8 +335,15 @@ function setup_instack_vm {
# get the instack VM IP
UNDERCLOUD=$(grep instack /var/lib/libvirt/dnsmasq/default.leases | awk '{print $3}' | head -n 1)
if [ -z "$UNDERCLOUD" ]; then
- echo "\n\nNever got IP for Instack. Can Not Continue."
- exit 1
+ #if not found then dnsmasq may be using leasefile-ro
+ instack_mac=$(virsh domiflist instack | grep default | \
+ grep -Eo "[0-9a-f\]+:[0-9a-f\]+:[0-9a-f\]+:[0-9a-f\]+:[0-9a-f\]+:[0-9a-f\]+")
+ UNDERCLOUD=$(arp -e | grep ${instack_mac} | awk {'print $1'})
+
+ if [ -z "$UNDERCLOUD" ]; then
+ echo "\n\nNever got IP for Instack. Can Not Continue."
+ exit 1
+ fi
else
echo -e "${blue}\rInstack VM has IP $UNDERCLOUD${reset}"
fi
@@ -584,7 +591,7 @@ parse_cmdline() {
done
if [[ ! -z "$NETENV" && "$net_isolation_enabled" == "FALSE" ]]; then
- echo -e "{red}WARN: Single flat network requested, but netenv specified. Ignoring netenv settings!${reset}"
+ echo -e "${red}INFO: Single flat network requested. Ignoring any netenv settings!${reset}"
elif [[ ! -z "$NETENV" && ! -z "$DEPLOY_SETTINGS_FILE" ]]; then
echo -e "${red}WARN: deploy_settings and netenv specified. Ignoring netenv settings! deploy_settings will contain \
netenv${reset}"